This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1315950 - Attempted to use a really strange directory: "0000:01:05.0" Caught by selinux.
Attempted to use a really strange directory: "0000:01:05.0" Caught by selinux.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fwupd (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 00:41 EST by Peter Trenholme
Modified: 2016-04-01 11:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-01 11:27:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Trenholme 2016-03-09 00:41:21 EST
Description of problem: See summary

Version-Release number of selected component (if applicable): Latest rawhide

How reproducible: Didn't try, but it happened three times.

Steps to Reproduce:
1. Boot system
2. Wait for selinux report

Actual results: Attempt to write to a really strange directory 

Expected results: No idea.

Additional info: I have no idea what the "fwupd" is attempting to write. (Is this a firmware update daemon?). Anyhow, I couldn't specify any "severity," but I suspect it's just an uninitialized string problem, and easily fixed.

Excerpt from the selinux report: (Note that I run my "rawhide" system, in "permissive" mode so this sort of problem is not catastrophic.)

Additional Information:
Source Context                system_u:system_r:fwupd_t:s0-s0:c0.c1023
Target Context                system_u:object_r:sysfs_t:s0
Target Objects                0000:01:05.0 [ dir ]
Source                        fwupd
Source Path                   fwupd
Port                          <Unknown>
Host                          localhost
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-176.fc25.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     localhost
Platform                      Linux localhost
                              4.5.0-0.rc7.git0.1.fc25.x86_64 #1 SMP Mon Mar 7
                              16:23:59 UTC 2016 x86_64 x86_64
Alert Count                   3
First Seen                    2016-03-08 20:13:48 PST
Last Seen                     2016-03-08 21:17:18 PST
Local ID                      ce4744e7-e42d-4db5-958b-3843bcc8d8c3
Comment 1 Richard Hughes 2016-03-31 11:39:55 EDT
fwupd reads the device firmware at startup. We've switched to doing this when the user explicitly verifies the firmware in >= 0.6.3

Note You need to log in before you can comment on or make changes to this bug.